RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
2Dpfold.h File Reference
Calculate Partition Functions of a Distance Based Partitioning
Include dependency graph for 2Dpfold.h:

Go to the source code of this file.

## Functions

TwoDpfold_vars * | get_TwoDpfold_variables (const char *seq, const char *structure1, char *structure2, int circ)
| Get a datastructure containing all necessary attributes and global folding switches.
TwoDpfold_vars * | get_TwoDpfold_variables_from_MFE (TwoDfold_vars *mfe_vars)
| Get the datastructure containing all necessary attributes and global folding switches from a pre-filled mfe-datastructure.
void | destroy_TwoDpfold_variables (TwoDpfold_vars *vars)
| Free all memory occupied by a TwoDpfold_vars datastructure.
TwoDpfold_solution * | TwoDpfoldList (TwoDpfold_vars *vars, int maxDistance1, int maxDistance2)
| Compute the partition function for all distance classes.
char * | TwoDpfold_pbacktrack (TwoDpfold_vars *vars, int d1, int d2)
| Sample secondary structure representatives from a set of distance classes according to their Boltzmann probability.
char * | TwoDpfold_pbacktrack5 (TwoDpfold_vars *vars, int d1, int d2, unsigned int length)
| Sample secondary structure representatives with a specified length from a set of distance classes according to their Boltzmann probability.

## Detailed Description